> For the complete documentation index, see [llms.txt](https://docs.bloxroute.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bloxroute.com/bsc/submit-transactions/bsc-private-transactions.md).

# Private Transactions

The `bsc_private_tx` endpoint allows users to submit a single transaction directly to blocks built by bloXroute block builders. These BSC transactions receive automatic front-running protection at the server level.

Private transactions are automatically enrolled in the BackRunMe service, which returns some of the generated profit to the searcher. The endpoint returns a transaction hash upon successful submission.

This service is available via **Cloud API** only.

## Submission Endpoint

* Method: `bsc_private_tx`
* Endpoint: `api.blxrbdn.com` (Cloud API)
* Request type: *`HTTPS,WSS`*

#### Enable Dynamic Fees

We have implemented a new mechanism to improve transaction landing speed and prioritization. To enable this mechanism:

1. Send a fee payment as an **internal transaction** to the bloXroute smart contract: **`0x6374Ca2da5646C73Eb444aB99780495d61035f9b`**
2. Include the following field in your submission request payload:

   ```json
   "mev_builders": ["all"]
   ```

### Parameters

<table><thead><tr><th width="238.38588460286456">Parameter</th><th width="282.727783203125">Description</th><th>Instructions &#x26; Notes</th></tr></thead><tbody><tr><td><strong><code>transaction</code></strong></td><td>Raw transactions bytes without <strong><code>0x</code></strong> prefix.</td><td><strong>Mandatory</strong><em>.</em> Learn more about constructing the transaction <a href="/eth/sending-transactions/raw-transaction-construction.md">here</a>.</td></tr><tr><td><code>mev_builders</code></td><td>A list of MEV builders that should receive the transaction without delay.</td><td><p><em>[Optional, default: <code>bloxroute</code> builder]</em><br></p><p>Possible MEV builders are:</p><ul><li><code>bloxroute</code>: bloXroute internal builder</li><li><code>all</code>: all builders</li><li>Other options: <code>48club</code>, <code>blockrazor</code>, <code>jetbldr</code>, <code>nodereal</code></li></ul></td></tr><tr><td><code>backrunme_reward_address</code></td><td>String – valid BSC address specifying where backrun rewards should be shared.</td><td>Optional - See <a href="/backrunme-program/overview.md">Backrunme program</a></td></tr></tbody></table>

### Examples

{% tabs %}
{% tab title="HTTPS POST" %}

```bash
curl https://api.blxrbdn.com \
  -X POST \
  -H "Content-Type: application/json" \
  -H "Authorization: <YOUR-AUTHORIZATION-HEADER>" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "bsc_private_tx",
    "params": {
      "transaction": "f86b0184...e0b58219",
      "mev_builders": ["all"],
      "backrunme_reward_address": "0xYourRewardAddressHere"
    }
  }'

```

{% endtab %}

{% tab title="wscat" %}

```bash
wscat -c wss://api.blxrbdn.com/ws --header "Authorization: <YOUR-AUTHORIZATION-HEADER>" --no-check
> {"jsonrpc":"2.0","id":1,"method":"bsc_private_tx","params":{"transaction":"f86b0184...e0b58219","mev_builders":["all"],"backrunme_reward_address":"0xYourRewardAddressHere"}}

```

{% endtab %}
{% endtabs %}

#### Response

| Result Field | Description      |
| ------------ | ---------------- |
| **`txHash`** | Transaction hash |

{% tabs %}
{% tab title="Cloud-API" %}

```bash
{
    "jsonrpc": "2.0", 
    "id": "1", 
    "result": "ffd59870844e5...bfa54a69"        
}   
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.bloxroute.com/bsc/submit-transactions/bsc-private-transactions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
